<!--
RadSideDrawer is a UI component part of the Progress NativeScript UI set of components.
Learn more about the RadSideDrawer UI component and how it can be customized in this documentation article:
http://docs.telerik.com/devtools/nativescript-ui/Controls/NativeScript/SideDrawer/getting-started
-->
<RadSideDrawer [drawerTransition]="sideDrawerTransition">
    <GridLayout tkDrawerContent rows="auto, *" class="sidedrawer sidedrawer-left">
        <StackLayout row="0" class="sidedrawer-header">
            <Image src="~/images/cup.png" width="48" height="48" class="sidedrawer-header-image"></Image>
            <!-- <Label class="sidedrawer-header-image fa" text="&#xf2bd;"></Label> -->
            <Label class="sidedrawer-header-brand" text="WC 18"></Label>
            <!-- <Label class="footnote" text="username@mail.com"></Label> -->
        </StackLayout>

        <ScrollView row="1">
            <StackLayout class="sidedrawer-content sidedrawer-background">
                <GridLayout columns="auto, *" class="sidedrawer-list-item" [class.selected]="isComponentSelected('/groups')" (tap)="onNavItemTap('/groups')">
                    <Label col="0" text="&#xf0c0;" class="fa"></Label>
                    <Label col="1" text="Groups" class="p-r-10"></Label>
                </GridLayout>

                <GridLayout columns="auto, *" class="sidedrawer-list-item" [class.selected]="isComponentSelected('/browse')" (tap)="onNavItemTap('/browse')">
                    <Label col="0" text="&#xf073;" class="fa"></Label>
                    <Label col="1" text="Fixtures" class="p-r-10"></Label>
                </GridLayout>

                <GridLayout columns="auto, *" class="sidedrawer-list-item" [class.selected]="isComponentSelected('/search')" (tap)="onNavItemTap('/search')">
                    <Label col="0" text="&#xf1e3;" class="fa"></Label>
                    <Label col="1" text="Live Scores" class="p-r-10"></Label>
                </GridLayout>

                <!-- <GridLayout columns="auto, *" class="sidedrawer-list-item" [class.selected]="isComponentSelected('/featured')" (tap)="onNavItemTap('/featured')">
                    <Label col="0" text="&#xf005;" class="fa"></Label>
                    <Label col="1" text="Featured" class="p-r-10"></Label>
                </GridLayout>

                <StackLayout class="hr-light"></StackLayout>

                <GridLayout columns="auto, *" class="sidedrawer-list-item" [class.selected]="isComponentSelected('/settings')" (tap)="onNavItemTap('/settings')">
                    <Label col="0" text="&#xf013;" class="fa"></Label>
                    <Label col="1" text="Settings" class="p-r-10"></Label>
                </GridLayout> -->
            </StackLayout>
        </ScrollView>
    </GridLayout>

    <page-router-outlet tkMainContent class="page page-content"></page-router-outlet>
</RadSideDrawer>